<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Edit Services</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" autocomplete="off" #f="ngForm" class="form-horizontal" (ngSubmit)="updateService();">
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Name <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" pattern = "[A-Za-z\s\()]+" placeholder="Name" formControlName="name" maxlength = "20" class="form-control" required>
                            <div class="error-msg" *ngIf="editForm.controls['name'].invalid && (editForm.controls['name'].dirty || editForm.controls['name'].touched)">
                                <div *ngIf="editForm.controls['name'].errors.required" >
                                    Name is required.
                                </div>
                                <div *ngIf="editForm.controls['name'].errors.pattern">
                                    Only alphabets are allowed
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Service type <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Service type"  formControlName="service_type" required>
                                <mat-option value="VEHICLE">VEHICLE</mat-option>
                                <mat-option value="DRIVER">DRIVER</mat-option>
                            </mat-select>
                            <div class="error-msg" *ngIf="editForm.controls['service_type'].invalid && (editForm.controls['service_type'].dirty || editForm.controls['service_type'].touched || f.submitted)">
                                <div *ngIf="editForm.controls['service_type'].errors.required" >
                                    Service type is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save Changes</button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/servicegroup']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>